edu.isi.pegasus.planner.parser.tokens

## Class QuotedString

- java.lang.Object
- - edu.isi.pegasus.planner.parser.tokens.QuotedString

All Implemented Interfaces:
  Token

    public class QuotedString
    extends java.lang.Object
    implements Token

Class to capture the content within a quoted string.

Version:
  $Revision$
Author:
  Jens Voeckler, Karan Vahi, Gaurang Mehta

### Field Summary

Fields
`private java.lang.String` `m_value` This instance variable captures the token value for the quoted string.

### Constructor Summary

Constructors
Constructor and Description
`QuotedString(java.lang.String tokenValue)` Initializes an instance of a quoted string.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()` Obtains the token value of a given string token.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_value

    private java.lang.String m_value

This instance variable captures the token value for the quoted string.

### Constructor Detail

#### QuotedString

    public QuotedString(java.lang.String tokenValue)

Initializes an instance of a quoted string.

Parameters:
  `tokenValue` - is the string content to remember.

### Method Detail

#### getValue

    public java.lang.String getValue()

Obtains the token value of a given string token.

Returns:
  the token value.